DROP TABLE CRST_PO_VENDORS;

CREATE TABLE CRST_PO_VENDORS
(
  VENDOR_ID                       NUMBER        NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER        NOT NULL,
  VENDOR_NAME                     VARCHAR2(240 BYTE) NOT NULL,
  VENDOR_NAME_ALT                 VARCHAR2(320 BYTE),
  SEGMENT1                        VARCHAR2(30 BYTE) NOT NULL,
  SUMMARY_FLAG                    VARCHAR2(1 BYTE) NOT NULL,
  ENABLED_FLAG                    VARCHAR2(1 BYTE) NOT NULL,
  SEGMENT2                        VARCHAR2(30 BYTE),
  SEGMENT3                        VARCHAR2(30 BYTE),
  SEGMENT4                        VARCHAR2(30 BYTE),
  SEGMENT5                        VARCHAR2(30 BYTE),
  LAST_UPDATE_LOGIN               NUMBER,
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER,
  EMPLOYEE_ID                     NUMBER,
  VENDOR_TYPE_LOOKUP_CODE         VARCHAR2(30 BYTE),
  CUSTOMER_NUM                    VARCHAR2(25 BYTE),
  ONE_TIME_FLAG                   VARCHAR2(1 BYTE),
  PARENT_VENDOR_ID                NUMBER,
  MIN_ORDER_AMOUNT                NUMBER,
  SHIP_TO_LOCATION_ID             NUMBER,
  BILL_TO_LOCATION_ID             NUMBER,
  SHIP_VIA_LOOKUP_CODE            VARCHAR2(25 BYTE),
  FREIGHT_TERMS_LOOKUP_CODE       VARCHAR2(25 BYTE),
  FOB_LOOKUP_CODE                 VARCHAR2(25 BYTE),
  TERMS_ID                        NUMBER,
  SET_OF_BOOKS_ID                 NUMBER,
  CREDIT_STATUS_LOOKUP_CODE       VARCHAR2(25 BYTE),
  CREDIT_LIMIT                    NUMBER,
  ALWAYS_TAKE_DISC_FLAG           VARCHAR2(1 BYTE),
  PAY_DATE_BASIS_LOOKUP_CODE      VARCHAR2(25 BYTE),
  PAY_GROUP_LOOKUP_CODE           VARCHAR2(25 BYTE),
  PAYMENT_PRIORITY                NUMBER,
  INVOICE_CURRENCY_CODE           VARCHAR2(15 BYTE),
  PAYMENT_CURRENCY_CODE           VARCHAR2(15 BYTE),
  INVOICE_AMOUNT_LIMIT            NUMBER,
  EXCHANGE_DATE_LOOKUP_CODE       VARCHAR2(25 BYTE),
  HOLD_ALL_PAYMENTS_FLAG          VARCHAR2(1 BYTE),
  HOLD_FUTURE_PAYMENTS_FLAG       VARCHAR2(1 BYTE),
  HOLD_REASON                     VARCHAR2(240 BYTE),
  DISTRIBUTION_SET_ID             NUMBER,
  ACCTS_PAY_CODE_COMBINATION_ID   NUMBER,
  DISC_LOST_CODE_COMBINATION_ID   NUMBER,
  DISC_TAKEN_CODE_COMBINATION_ID  NUMBER,
  EXPENSE_CODE_COMBINATION_ID     NUMBER,
  PREPAY_CODE_COMBINATION_ID      NUMBER,
  NUM_1099                        VARCHAR2(30 BYTE),
  TYPE_1099                       VARCHAR2(10 BYTE),
  WITHHOLDING_STATUS_LOOKUP_CODE  VARCHAR2(25 BYTE),
  WITHHOLDING_START_DATE          DATE,
  ORGANIZATION_TYPE_LOOKUP_CODE   VARCHAR2(25 BYTE),
  VAT_CODE                        VARCHAR2(15 BYTE),
  START_DATE_ACTIVE               DATE,
  END_DATE_ACTIVE                 DATE,
  MINORITY_GROUP_LOOKUP_CODE      VARCHAR2(25 BYTE),
  PAYMENT_METHOD_LOOKUP_CODE      VARCHAR2(25 BYTE),
  BANK_ACCOUNT_NAME               VARCHAR2(80 BYTE),
  BANK_ACCOUNT_NUM                VARCHAR2(30 BYTE),
  BANK_NUM                        VARCHAR2(25 BYTE),
  BANK_ACCOUNT_TYPE               VARCHAR2(25 BYTE),
  WOMEN_OWNED_FLAG                VARCHAR2(1 BYTE),
  SMALL_BUSINESS_FLAG             VARCHAR2(1 BYTE),
  STANDARD_INDUSTRY_CLASS         VARCHAR2(25 BYTE),
  HOLD_FLAG                       VARCHAR2(1 BYTE),
  PURCHASING_HOLD_REASON          VARCHAR2(240 BYTE),
  HOLD_BY                         NUMBER(9),
  HOLD_DATE                       DATE,
  TERMS_DATE_BASIS                VARCHAR2(25 BYTE),
  PRICE_TOLERANCE                 NUMBER,
  INSPECTION_REQUIRED_FLAG        VARCHAR2(1 BYTE),
  RECEIPT_REQUIRED_FLAG           VARCHAR2(1 BYTE),
  QTY_RCV_TOLERANCE               NUMBER,
  QTY_RCV_EXCEPTION_CODE          VARCHAR2(25 BYTE),
  ENFORCE_SHIP_TO_LOCATION_CODE   VARCHAR2(25 BYTE),
  DAYS_EARLY_RECEIPT_ALLOWED      NUMBER,
  DAYS_LATE_RECEIPT_ALLOWED       NUMBER,
  RECEIPT_DAYS_EXCEPTION_CODE     VARCHAR2(25 BYTE),
  RECEIVING_ROUTING_ID            NUMBER,
  ALLOW_SUBSTITUTE_RECEIPTS_FLAG  VARCHAR2(1 BYTE),
  ALLOW_UNORDERED_RECEIPTS_FLAG   VARCHAR2(1 BYTE),
  HOLD_UNMATCHED_INVOICES_FLAG    VARCHAR2(1 BYTE),
  EXCLUSIVE_PAYMENT_FLAG          VARCHAR2(1 BYTE),
  AP_TAX_ROUNDING_RULE            VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_FLAG              VARCHAR2(1 BYTE),
  AUTO_TAX_CALC_OVERRIDE          VARCHAR2(1 BYTE),
  AMOUNT_INCLUDES_TAX_FLAG        VARCHAR2(1 BYTE),
  TAX_VERIFICATION_DATE           DATE,
  NAME_CONTROL                    VARCHAR2(4 BYTE),
  STATE_REPORTABLE_FLAG           VARCHAR2(1 BYTE),
  FEDERAL_REPORTABLE_FLAG         VARCHAR2(1 BYTE),
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  REQUEST_ID                      NUMBER,
  PROGRAM_APPLICATION_ID          NUMBER,
  PROGRAM_ID                      NUMBER,
  PROGRAM_UPDATE_DATE             DATE,
  OFFSET_VAT_CODE                 VARCHAR2(20 BYTE),
  VAT_REGISTRATION_NUM            VARCHAR2(20 BYTE),
  AUTO_CALCULATE_INTEREST_FLAG    VARCHAR2(1 BYTE),
  VALIDATION_NUMBER               NUMBER,
  EXCLUDE_FREIGHT_FROM_DISCOUNT   VARCHAR2(1 BYTE),
  TAX_REPORTING_NAME              VARCHAR2(80 BYTE),
  CHECK_DIGITS                    VARCHAR2(30 BYTE),
  BANK_NUMBER                     VARCHAR2(30 BYTE),
  ALLOW_AWT_FLAG                  VARCHAR2(1 BYTE),
  AWT_GROUP_ID                    NUMBER(15),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  EDI_TRANSACTION_HANDLING        VARCHAR2(25 BYTE),
  EDI_PAYMENT_METHOD              VARCHAR2(25 BYTE),
  EDI_PAYMENT_FORMAT              VARCHAR2(25 BYTE),
  EDI_REMITTANCE_METHOD           VARCHAR2(25 BYTE),
  EDI_REMITTANCE_INSTRUCTION      VARCHAR2(256 BYTE),
  BANK_CHARGE_BEARER              VARCHAR2(1 BYTE),
  BANK_BRANCH_TYPE                VARCHAR2(25 BYTE),
  MATCH_OPTION                    VARCHAR2(25 BYTE),
  FUTURE_DATED_PAYMENT_CCID       NUMBER(15),
  CREATE_DEBIT_MEMO_FLAG          VARCHAR2(25 BYTE),
  OFFSET_TAX_FLAG                 VARCHAR2(1 BYTE),
  VENDOR_ID_N                     NUMBER
);
